TechDraw "Вставить размер знака"

From FreeCAD Documentation
Jump to navigation Jump to search
This page is a translated version of the page TechDraw LandmarkDimension and the translation is 56% complete.
Other languages:
Deutsch • ‎English • ‎français • ‎italiano • ‎polski • ‎русский

TechDraw LandmarkDimension.svg Вставить размер знака

Системное название
TechDraw_LandmarkDimension
Расположение в меню
TechDraw → Размеры → Вставить размер знака
Верстаки
TechDraw
Быстрые клавиши
Нет
Представлено в версии
0.19
См. также
Указать горизонтальный размер, Указать вертикальный размер

Описание

The Landmark Dimension tool adds a linear dimension to a View. The dimension is based on two Point feature (Draft.Point or Part.Vertex) from the 3D model. Note that the points must be feature objects that appear in the model tree view. Random vertexes from a shape will not work.

The purpose of this tool is to provide a workaround to the corruption of dimension caused by "topological naming" issues. The source points should use Expressions or other containing mechanism to establish their position. Since the points are Document Objects, and not shape components, their name does not change with recomputes, and hence they are easily found.

See TechDraw LengthDimension for more on dimensions and topological naming.

The Landmark Dimension generally behaves like any other Dimension.

Применение

  1. Select 2 Point objects in the tree view or the 3D view.
  2. Select also the View to which the dimension is to be added.
  3. Press the TechDraw LandmarkDimension.svg Landmark Dimension button or TechDraw → Insert Landmark Dimension
  4. A dimension will be added to the View. The dimension text may be dragged to the desired position.

Ограничения

The Landmark Dimension tool is initially limited to "Distance" dimensions. Other types may be added if demand warrants.

Свойства

Landmark Dimension does not introduce any new properties.

Программирование

См. так же: TechDraw API и Основы составления скриптов FreeCAD.

The Landmark Dimension tool can be used in macros and from the Python console by using the following functions:

dim1 = FreeCAD.ActiveDocument.addObject('TechDraw::LandmarkDimension','Landmark')
dim1.Type = "Distance"
dim1.References2D=[(TDView, 'Vertex1')]
dim1.References3D=[(Point3d1, 'Vertex1')]
dim1.References3D=[(Point3d2, 'Vertex1')]
rc = page.addView(dim1)